Bug 1011658 - IndexError: list index out of range
IndexError: list index out of range
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:b44df1393599ffd2cfd776f347e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 14:03 EDT by David Lehman
Modified: 2015-06-29 21:33 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-20.20-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (113.18 KB, text/plain)
2013-09-24 14:03 EDT, David Lehman
no flags Details
File: anaconda.log (4.66 KB, text/plain)
2013-09-24 14:03 EDT, David Lehman
no flags Details
File: environ (2.16 KB, text/plain)
2013-09-24 14:03 EDT, David Lehman
no flags Details
File: lsblk_output (1016 bytes, text/plain)
2013-09-24 14:03 EDT, David Lehman
no flags Details
File: nmcli_dev_list (4.27 KB, text/plain)
2013-09-24 14:03 EDT, David Lehman
no flags Details
File: os_info (281 bytes, text/plain)
2013-09-24 14:03 EDT, David Lehman
no flags Details
File: program.log (22.21 KB, text/plain)
2013-09-24 14:04 EDT, David Lehman
no flags Details
File: storage.log (60.12 KB, text/plain)
2013-09-24 14:04 EDT, David Lehman
no flags Details
File: ifcfg.log (458 bytes, text/plain)
2013-09-24 14:04 EDT, David Lehman
no flags Details
File: packaging.log (13.76 KB, text/plain)
2013-09-24 14:04 EDT, David Lehman
no flags Details

  None (edit)
Description David Lehman 2013-09-24 14:03:28 EDT
Description of problem:
started anaconda to do an install to a disk image file:

truncate -s 10G /opt/image
anaconda -G --image=/opt/image
<click through warning and then keyboard page, then see crash>

Version-Release number of selected component:
anaconda-20.18-1.fc20.x86_64

The following was filed automatically by anaconda:
anaconda 20.18-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/keyboard.py", line 517, in get_current_layout
    variant = self._rec.variants[cur_group]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/keyboard.py", line 291, in completed
    elif not self._confirmed and self._xkl_wrapper.get_current_layout() != self.data.keyboard.x_layouts[0]:
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 261, in _updateCompleteness
    spoke.selector.set_incomplete(not spoke.completed and spoke.mandatory)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 213, in _createBox
    self._updateCompleteness(spoke)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 368, in refresh
    self._createBox()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 727, in _on_continue_clicked
    nextAction.refresh()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/__init__.py", line 68, in _on_continue_clicked
    cb()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 317, in _on_continue_clicked
    StandaloneSpoke._on_continue_clicked(self, cb)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/__init__.py", line 72, in <lambda>
    self.window.connect("continue-clicked", lambda *args: self._on_continue_clicked(cb))
IndexError: list index out of range

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda -G --image=/opt/image --repo=http://dl.fedoraproject.org/pub/alt/stage/20-Alpha-RC5/Fedora/x86_64/os/
cmdline_file:   BOOT_IMAGE=/vmlinuz-3.11.0-3.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root vconsole.keymap=us rhgb quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.0-3.fc20.x86_64
product:        Fedora
release:        Fedora release 20 (Null)
type:           anaconda
version:        20
Comment 1 David Lehman 2013-09-24 14:03:34 EDT
Created attachment 802402 [details]
File: anaconda-tb
Comment 2 David Lehman 2013-09-24 14:03:38 EDT
Created attachment 802403 [details]
File: anaconda.log
Comment 3 David Lehman 2013-09-24 14:03:43 EDT
Created attachment 802404 [details]
File: environ
Comment 4 David Lehman 2013-09-24 14:03:48 EDT
Created attachment 802405 [details]
File: lsblk_output
Comment 5 David Lehman 2013-09-24 14:03:52 EDT
Created attachment 802406 [details]
File: nmcli_dev_list
Comment 6 David Lehman 2013-09-24 14:03:56 EDT
Created attachment 802407 [details]
File: os_info
Comment 7 David Lehman 2013-09-24 14:04:01 EDT
Created attachment 802408 [details]
File: program.log
Comment 8 David Lehman 2013-09-24 14:04:08 EDT
Created attachment 802409 [details]
File: storage.log
Comment 9 David Lehman 2013-09-24 14:04:18 EDT
Created attachment 802410 [details]
File: ifcfg.log
Comment 10 David Lehman 2013-09-24 14:04:22 EDT
Created attachment 802411 [details]
File: packaging.log
Comment 11 Fedora Update System 2013-09-25 12:03:47 EDT
anaconda-20.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.20-1.fc20
Comment 12 Fedora Update System 2013-09-26 20:31:50 EDT
Package anaconda-20.20-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.20-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17681/anaconda-20.20-1.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-09-27 21:16:48 EDT
anaconda-20.21-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.21-1.fc20
Comment 14 Fedora End Of Life 2015-05-29 05:26:59 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-06-29 21:33:10 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.